List Payment Instructions

GEThttps://bank.dattaremit.com/api/payment_instructions

Requires a bank-scoped key.

Retrieves a list of payment instructions. Records are sorted by creation date in descending order.

Required scope: invoices:read

Query Params

pageinteger

The page index to retrieve.

per_pageinteger

The number of entities per page to return.

guidstring

Comma separated guids to list payment instructions for.

bank_guidstring

Comma separated bank_guids to list payment instructions for.

customer_guidstring

Comma separated customer_guids to list payment instructions for.

invoice_guidstring

Comma separated invoice_guids to list payment instructions for.

Responses

200

get list of payment instructions

400

Invalid requests

401

Unauthorized - Authentication failed

403

Invalid scope

Request

curl https://api.dattaremit.com/api/payment_instructions \
  -H "Authorization: Bearer sk_test_YOUR_KEY"

Response

get list of payment instructions

{
  "total": 1,
  "page": 1,
  "per_page": 1,
  "objects": [
    {
      "guid": "string",
      "customer_guid": "string",
      "invoice_guid": "string",
      "created_at": "2026-07-20T16:27:51.438Z",
      "updated_at": "2026-07-20T16:27:51.438Z",
      "expired_at": "2026-07-20T16:27:51.438Z",
      "failed_at": "2026-07-20T16:27:51.438Z",
      "network_address": "string",
      "expected_payment_asset": "string",
      "expected_payment_amount": 1,
      "failure_code": "string",
      "state": "string"
    }
  ]
}